%define major   2
%define libname %mklibname %{realname} %major
%define libnamedev %mklibname %{realname} %major -d

%define version 0.2.0
%define release %mkrel 0.%revision.3
%define revision 750146
%define oname   libkipi
%define realname kipi

Name:		kde4-libkipi
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Source0:        http://prdownloads.sourceforge.net/kipi/%{oname}-%{version}.%revision.tar.bz2
Patch0:		libkipi-0.2.0-fix-link.patch
URL:            http://extragear.kde.org/apps/kipi.php
Group:		Archiving/Cd burning
Summary:        KDE4 Image Plugin Interface
BuildRequires:  kdelibs4-devel
BuildRequires:  kde4-libkdcraw-devel

%description
The library of the KDE Image Plugin Interface.

%post
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_desktop_database}
%clean_icon_cache hicolor



%files
%defattr(-,root,root)
%{_kde_appsdir}/kipi/data/kipi-plugins_logo.png
%{_kde_iconsdir}/hicolor/*/apps/kipi.png
%{_kde_datadir}/kde4/servicetypes/kipiplugin.desktop

#--------------------------------------------------------------------

%package -n     %{libname}
Summary:        Libraries for %{name}
Group:          System/Libraries
Requires:       %{name} = %{version}-%{release}

%description -n %{libname}

%{libname} contains %{name} libraries

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(0644, root, root, 0755)
%{_kde_libdir}/libkipi.so.2
%{_kde_libdir}/libkipi.so.2.0.0

#------------------------------------------------

%package        -n     %{libnamedev}
Summary:        Static libraries and headers for %{name}
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %version-%release

%description  -n     %{libnamedev}

%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{oname}.

%files -n     %{libnamedev}
%defattr(0644, root, root, 0755)
%dir %_kde_includedir/libkipi
%_kde_includedir/libkipi/*.h
%{_kde_libdir}/pkgconfig/libkipi.pc
%{_kde_libdir}/libkipi.so

#--------------------------------------------------------------------

%prep
%setup -q -n %oname-%version
%patch0 -p0

%build
%if "%{_lib}" != "lib"
 PKG_CONFIG_PATH=/opt/kde4/lib64/pkgconfig \
%else
 PKG_CONFIG_PATH=/opt/kde4/lib/pkgconfig \
%endif 
%cmake_kde4 
%make

%install
cd build
rm -rf %buildroot
%{makeinstall_std}


%clean
rm -rf %buildroot


%changelog
* Thu Dec 27 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.2.0-0.750146.3mdv2008.1
+ Revision: 138462
- Fix devel package provides
- Fix BuildRequires
- import kde4-libkipi

  + Angelo Naselli <anaselli@mandriva.org>
    - fixed pkgconfg path for cmake using PKG_CONFIG_PATH


